"use strict";
// Copyright (c) 2018, Shellyl_N and Authors
// license: ISC
// https://github.com/shellyln
Object.defineProperty(exports, "__esModule", { value: true });
exports.LM_async = exports.LM = exports.lisp_async = exports.LS_async = exports.L_async = exports.lisp = exports.LS = exports.L = void 0;
const core_1 = require("../../operators/core");
const arithmetic_1 = require("../../operators/arithmetic");
const sequence_1 = require("../../operators/sequence");
const concurrent_1 = require("../../operators/concurrent");
const interpreters_1 = require("../../interpreters");
const defaults_1 = require("../../defaults");
exports.L = (() => {
    let config = Object.assign({}, defaults_1.defaultConfig);
    config.reservedNames = Object.assign({}, config.reservedNames, {
        Template: '$concat',
    });
    config = core_1.default(config);
    config = arithmetic_1.default(config);
    config = sequence_1.default(config);
    config = concurrent_1.default(config);
    config.stripComments = true;
    return interpreters_1.SExpression(config);
})();
exports.LS = exports.L;
exports.lisp = exports.L;
// tslint:disable-next-line:variable-name
exports.L_async = (() => {
    let config = Object.assign({}, defaults_1.defaultConfig);
    config.reservedNames = Object.assign({}, config.reservedNames, {
        Template: '$concat',
    });
    config = core_1.default(config);
    config = arithmetic_1.default(config);
    config = sequence_1.default(config);
    config = concurrent_1.default(config);
    config.stripComments = true;
    return interpreters_1.SExpressionAsync(config);
})();
// tslint:disable-next-line:variable-name
exports.LS_async = exports.L_async;
// tslint:disable-next-line:variable-name
exports.lisp_async = exports.L_async;
exports.LM = (() => {
    let config = Object.assign({}, defaults_1.defaultConfig);
    config.reservedNames = Object.assign({}, config.reservedNames, {
        Template: '$concat',
    });
    config = core_1.default(config);
    config = arithmetic_1.default(config);
    config = sequence_1.default(config);
    config = concurrent_1.default(config);
    config.stripComments = true;
    config.returnMultipleRoot = true;
    return interpreters_1.SExpression(config);
})();
// tslint:disable-next-line:variable-name
exports.LM_async = (() => {
    let config = Object.assign({}, defaults_1.defaultConfig);
    config.reservedNames = Object.assign({}, config.reservedNames, {
        Template: '$concat',
    });
    config = core_1.default(config);
    config = arithmetic_1.default(config);
    config = sequence_1.default(config);
    config = concurrent_1.default(config);
    config.stripComments = true;
    config.returnMultipleRoot = true;
    return interpreters_1.SExpressionAsync(config);
})();
//# sourceMappingURL=lisp.js.map