"use strict";
// Copyright (c) 2018, Shellyl_N and Authors
// license: ISC
// https://github.com/shellyln
Object.defineProperty(exports, "__esModule", { value: true });
exports.LSX_async = exports.LSX = void 0;
const core_1 = require("../../operators/core");
const arithmetic_1 = require("../../operators/arithmetic");
const sequence_1 = require("../../operators/sequence");
const jsx_1 = require("../../operators/jsx");
const concurrent_1 = require("../../operators/concurrent");
const interpreters_1 = require("../../interpreters");
const defaults_1 = require("../../defaults");
function LSX(lsxConf) {
    let config = Object.assign({}, defaults_1.defaultConfig);
    config = core_1.default(config);
    config = arithmetic_1.default(config);
    config = sequence_1.default(config);
    config = concurrent_1.default(config);
    config = jsx_1.default(config, lsxConf);
    config.stripComments = true;
    return interpreters_1.SExpression(config);
}
exports.LSX = LSX;
function LSX_async(lsxConf) {
    let config = Object.assign({}, defaults_1.defaultConfig);
    config = core_1.default(config);
    config = arithmetic_1.default(config);
    config = sequence_1.default(config);
    config = concurrent_1.default(config);
    config = jsx_1.default(config, lsxConf);
    config.stripComments = true;
    return interpreters_1.SExpressionAsync(config);
}
exports.LSX_async = LSX_async;
//# sourceMappingURL=lsx.js.map