// Copyright (c) 2018, Shellyl_N and Authors
// license: ISC
// https://github.com/shellyln
import installCore from '../../operators/core';
import installArithmetic from '../../operators/arithmetic';
import installSequence from '../../operators/sequence';
import installJsx from '../../operators/jsx';
import installConcurrent from '../../operators/concurrent';
import { SExpression, SExpressionAsync } from '../../interpreters';
import { defaultConfig } from '../../defaults';
export function LSX(lsxConf) {
    let config = Object.assign({}, defaultConfig);
    config = installCore(config);
    config = installArithmetic(config);
    config = installSequence(config);
    config = installConcurrent(config);
    config = installJsx(config, lsxConf);
    config.stripComments = true;
    return SExpression(config);
}
export function LSX_async(lsxConf) {
    let config = Object.assign({}, defaultConfig);
    config = installCore(config);
    config = installArithmetic(config);
    config = installSequence(config);
    config = installConcurrent(config);
    config = installJsx(config, lsxConf);
    config.stripComments = true;
    return SExpressionAsync(config);
}
//# sourceMappingURL=lsx.js.map